uniform sampler2D u_Mask;
uniform float u_Speed;

void main(){
    vec2 texCoord = vec2(cc_FragTexCoord1.x, cc_FragTexCoord1.y - cc_Time[0]*u_Speed);
    float alphaMask = texture2D(u_Mask, cc_FragTexCoord1).r;
    gl_FragColor = cc_FragColor*texture2D(cc_MainTexture, texCoord)*alphaMask;
}