uniform sampler2D u_NoiseTexture;

void main() {
    
    highp vec2 position = cc_Position.xy;
    highp float time = cc_Time[0];
    
    float offset = 1.0 - (smoothstep(0.0,0.8,cc_Color.a));

    vec2 mixedVector = mix(cc_Position.xy,cc_TexCoord2, offset);
    
    gl_Position = vec4(mixedVector.x, mixedVector.y, cc_Position.z, cc_Position.w);
    cc_FragColor = clamp(cc_Color, 0.0, 1.0);
    cc_FragTexCoord1 = cc_TexCoord1;
    cc_FragTexCoord2 = cc_TexCoord2;
}
