#define M_PI 3.1415926535897932384626433832795

uniform float u_percent;

void main(){
    gl_FragColor = cc_FragColor*texture2D(cc_MainTexture, cc_FragTexCoord1);
    
    float total = clamp(u_percent / 100.0, 0.0, 1.0);
    vec2 normalVec = cc_FragTexCoord1 - vec2(0.5, 0.5);
    float valRadianVal = atan(normalVec.y, normalVec.x) + M_PI;
    float normalVar = valRadianVal / (2.0*M_PI);
    
    
    float delta = 0.001;
    // We should take this conditional out!
    //gl_FragColor = mix(gl_FragColor,vec4(0.0,0.0,0.0,0.0), step(total,normalVar));
    
    
    gl_FragColor = mix(gl_FragColor,vec4(0.0,0.0,0.0,0.0), smoothstep(total-delta, total+delta, 1.0-normalVar));

    
    // We should take this conditional out!
    //if(normalVar > total) {
    //    gl_FragColor = vec4(0.0,0.0,0.0,0.0); // hide pixels not in 100% range
    //}
}
