uniform float u_Angle;


void main(){
    gl_Position = cc_Position;
    cc_FragColor = clamp(cc_Color, 0.0, 1.0);
    
    vec2 uvs = cc_TexCoord1 + vec2(-0.5,-0.5);
    
    mat2 rotationMatrix = mat2(cos(u_Angle), sin(u_Angle), -sin(u_Angle), cos(u_Angle));
    
    uvs = rotationMatrix * uvs;
    
    uvs = uvs + vec2(0.5,0.5);
    
    cc_FragTexCoord1 = uvs;
    cc_FragTexCoord2 = cc_TexCoord2;
}