
vec4 premultiply(vec4 color){
    return vec4(color.r*color.a, color.g*color.a, color.b*color.a, color.a);
}


void main(){
    
    highp float time = cc_Time[0];
    vec4 tintColor = cc_FragColor;
    vec4 texColor = texture2D(cc_MainTexture, cc_FragTexCoord1);
    
    vec4 finalColor = vec4( (sin(time*30.0+1.0)+1.0)*0.5, 0, (sin((time+3.14)*30.0+3.14)+1.0)*0.5, texColor.a*cc_FragColor.a );
    
    gl_FragColor = premultiply(finalColor);
}
