
vec4 premultiply(vec4 color){
    return vec4(color.r*color.a, color.g*color.a, color.b*color.a, color.a);
}


void main(){
    
    highp float time = cc_Time[0];
    vec4 tintColor = cc_FragColor;
    vec4 texColor = texture2D(cc_MainTexture, cc_FragTexCoord1);
    
    
    highp float x = cc_FragTexCoord1.y*0.01 + (time*0.2);
    
    vec4 finalColor = vec4( (sin(x*20.0+1.0)+1.0)*0.5, (sin(x*20.0+3.14)+1.0)*0.5, (cos(x*20.0+3.14)+1.0)*0.5, texColor.a );
    
    
    gl_FragColor = premultiply(finalColor);
}
