// https://github.com/slembcke/Cocos2DShaderCookbook

uniform vec2 cc_MainTextureSize;
uniform vec4 u_StartColor;
uniform vec4 u_EndColor;

void main() {
    gl_Position = cc_Position;
    float startOrEnd = step(0.5, cc_Position.y);
    cc_FragColor = mix(u_StartColor, u_EndColor, startOrEnd);
    cc_FragTexCoord1 = cc_TexCoord1;
}