uniform sampler2D u_maskTexture;
uniform float u_maskWidthRatio;
uniform float u_maskHeightOffset;
uniform float u_maskHeightRatio;

uniform float u_rayWidth;
uniform float u_rayHeight;
uniform float u_widthHeightRatio;
uniform float u_contentScale;


void main(){
	vec4 textureColor = cc_FragColor*texture2D(cc_MainTexture, vec2(cc_FragTexCoord1.x + (cc_Time[1]), cc_FragTexCoord1.y));
	
    
    vec4 maskColor = texture2D(u_maskTexture, vec2(cc_FragTexCoord1.x*u_maskWidthRatio, ((cc_FragTexCoord1.y-u_maskHeightOffset)*u_maskHeightRatio) ));
    
    gl_FragColor = textureColor * maskColor.a;
    
}
